RegisterGrafanaDatasource
Register a new Grafana datasource linked to a tenant's Grafana organization
POST
/api/v1/monitoring/grafana/datasourcesOperation ID
RegisterGrafanaDatasourceSince
1.0.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonBody Fields
tenantIdStringRequiredUUID of the tenant registering the datasource
Example: tenant-001-xyz
nameStringRequiredDisplay name for the new datasource
Example: Production Prometheus
grafanaUrlStringRequiredURL of the Grafana instance to register against
Example: http://grafana.example.com
orgIdIntegerRequiredGrafana organization ID
Example: 1
apiKeyStringRequiredAPI key for authenticating with Grafana
Example: glsa_xxxxxxxxxxxx
